package main

import (
	dciConfig "chain-dci/config"
	"chain-dci/internal/controller"
	_ "chain-dci/internal/handler"
	"chain-dci/pkg/app"
	common "chain-dci/pkg/init"
	"chain-dci/pkg/tracing"
	"dubbo.apache.org/dubbo-go/v3/config"
	_ "dubbo.apache.org/dubbo-go/v3/filter/tps/strategy"
	_ "dubbo.apache.org/dubbo-go/v3/imports"
	bccrClient "github.com/antchain-openapi-sdk-go/bccr/client"
	"github.com/bwmarrin/snowflake"
	antCloud "github.com/huyi-cn/antcloud-golang-sdk"
	"go.uber.org/zap"
)

func NewApp(Lg *zap.Logger, JaegerTracer *tracing.JaegerProvider, AntClient *antCloud.Client, BccrClient *bccrClient.Client, SfNode *snowflake.Node) *app.App {
	return &app.App{
		Lg: Lg,
		//RedisClient:  RedisClient,
		JaegerTracer: JaegerTracer,
		AntClient:    AntClient,
		BccrClient:   BccrClient,
		SfNode:       SfNode,
		//RtcClient:    RtcClient,
	}
}

func main() {
	var err error
	dciConfig.GetOptions()
	app.ModuleClients, err = InitApp()
	if err != nil {
		panic(err)
	}
	//注册服务
	config.SetProviderService(&controller.DciProvider{})
	common.Init()
	if err = config.Load(); err != nil {
		panic(err)
	}
	select {}
}
